Subject: Re: git installation (as private user) should NEVER write site_perl

From: [email-masked] (Randal L. Schwartz)
Date: Tue, 20 Feb 2007 10:08:20 -0800

>>>>> "Randal" == Randal L Schwartz <[email-masked]> writes:

Randal> If git wants to add local Perl modules, they belong in
Randal> ${prefix}/lib/perl/ or something, with the appropriate "use lib" added
Randal> to the Perl scripts.

>>From a bit further research, it looks like git prefers installing git-only
Perl modules using the standard MakeMaker, which of course will try to
install them in site_lib.

Oddly enough, if I define NO_PERL_MAKEMAKER, I get the behavior I want.

I suggest that NO_PERL_MAKEMAKER is the *only* correct behavior in this case,
so I propose that the code be made unconditional, and the Makemaker stuff be
pulled out.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!